export class MenuSelection {
    ring;
    index;
    splitMode;
    constructor(ring, index, splitMode) {
        this.ring = ring;
        this.index = index;
        this.splitMode = splitMode;
    }
    eq(b) {
        return this.ring == b.ring && this.index == b.index && this.splitMode == b.splitMode;
    }
    // like eqTo, but ignores splitMode
    eqPosition(ring, location) {
        return this.eqTo(ring, location, this.splitMode);
    }
    eqTo(ring, location, splitMode) {
        return this.ring == ring && this.index == location && this.splitMode == splitMode;
    }
    Inner(sel) {
        return MenuSelection.Inner(sel, this.splitMode);
    }
    Outer(sel) {
        return MenuSelection.Outer(sel, this.splitMode);
    }
}
(function (MenuSelection) {
    function None(splitMode) {
        return new MenuSelection(0 /* Ring.NONE */, 0, splitMode);
    }
    MenuSelection.None = None;
    function Inner(sel, splitMode) {
        return new MenuSelection(1 /* Ring.INNER */, sel, splitMode);
    }
    MenuSelection.Inner = Inner;
    function Outer(sel, splitMode) {
        return new MenuSelection(2 /* Ring.OUTER */, sel, splitMode);
    }
    MenuSelection.Outer = Outer;
})(MenuSelection || (MenuSelection = {}));
